Tidepooltestnet

Get supported tokens

GET /v0/tokens · 1Click-compatible

GET/v0/tokens

Returns all six Tidepool test tokens (two shown below) with live USD prices. ondoTokens is accepted and ignored.

Retrieves a list of tokens currently supported by the 1Click API for asset swaps. Each token entry includes its blockchain, contract address (if available), price in USD, and other metadata such as symbol and decimals.

Operation id: getTokens

Request

curl "https://www.usetidepool.tech/v0/tokens"

Try it

GET

Query parameters

NameTypeRequiredDescription
ondoTokensstringShow Ondo tokens if the query is set

Responses

200

[
  {
    "assetId": "nep141:usdc.tidepool-sandbox.testnet",
    "decimals": 6,
    "blockchain": "near",
    "symbol": "USDC",
    "price": 0.999585,
    "priceUpdatedAt": "2026-10-24T21:30:25.128Z",
    "contractAddress": "usdc.tidepool-sandbox.testnet",
    "coingeckoId": "usd-coin"
  },
  {
    "assetId": "nep141:usdt.tidepool-sandbox.testnet",
    "decimals": 6,
    "blockchain": "near",
    "symbol": "USDT",
    "price": 0.999101,
    "priceUpdatedAt": "2026-10-24T21:30:25.128Z",
    "contractAddress": "usdt.tidepool-sandbox.testnet",
    "coingeckoId": "tether"
  }
]

On this page